Ubuntu

14e4:43b1 Broadcom Corporation Device 43b1 (rev 03) - not supported

Reported by Omega on 2013-04-27
88
This bug affects 16 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Both during and after installation, 13.04 doesn't support the Broadcom-based 802.11ac wifi chipsets. lspci reports it as "Network controller: Broadcom Corporation Device 43b1 (rev 03)".

WORKAROUND: 6_30_223_95 driver in http://people.canonical.com/~ypwong/drivers/broadcom/

---
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
DistroRelease: Ubuntu 13.04
EcryptfsInUse: Yes
InstallationDate: Installed on 2013-04-27 (0 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux (not installed)
Tags: raring
Uname: Linux 3.9.0-030900rc8-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
---
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: atrauzzi 2141 F.... pulseaudio
 /dev/snd/controlC0: atrauzzi 2141 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
CurrentDmesg: [ 176.287266] atl1c 0000:04:00.0: vpd r/w failed. This is likely a firmware bug on this device. Contact the card vendor for a firmware update.
DistroRelease: Ubuntu 13.04
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=90e84f80-b3fc-4480-b4cd-21d15e3abc6d
InstallationDate: Installed on 2013-04-27 (0 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MachineType: ASUSTeK COMPUTER INC. G75VX
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-19-generic root=UUID=b0911040-5a49-4581-9a7a-bac9d830a0ba ro nomodeset quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-19-generic N/A
 linux-backports-modules-3.8.0-19-generic N/A
 linux-firmware 1.106
StagingDrivers: r8712u
Tags: raring staging
Uname: Linux 3.8.0-19-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 10/23/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: G75VX.203
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: G75VX
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrG75VX.203:bd10/23/2012:svnASUSTeKCOMPUTERINC.:pnG75VX:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnG75VX:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: G75VX
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1173761/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Omega (atrauzzi) on 2013-04-28
affects: ubuntu → linux-meta (Ubuntu)
Brad Figg (brad-figg) on 2013-04-28
affects: linux-meta (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1173761

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected raring
description: updated

apport information

Omega (atrauzzi) wrote : AlsaInfo.txt

apport information

tags: added: staging
description: updated

apport information

apport information

Omega (atrauzzi) wrote : IwConfig.txt

apport information

Omega (atrauzzi) wrote : Lspci.txt

apport information

Omega (atrauzzi) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

Omega (atrauzzi) wrote : RfKill.txt

apport information

Omega (atrauzzi) wrote : UdevDb.txt

apport information

Omega (atrauzzi) wrote : UdevLog.txt

apport information

apport information

Download full text (3.3 KiB)

Hopefully that gets you everything you need, here's a detailed lspci for the device as well:

03:00.0 Network controller [0280]: Broadcom Corporation Device [14e4:43b1] (rev 03)
 Subsystem: AzureWave Device [1a3b:2123]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 255
 Region 0: Memory at f5400000 (64-bit, non-prefetchable) [size=32K]
 Region 2: Memory at f5200000 (64-bit, non-prefetchable) [size=2M]
 Capabilities: [48] Power Management version 3
  Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
  Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=2 PME-
 Capabilities: [58] MSI: Enable- Count=1/1 Maskable- 64bit+
  Address: 0000000000000000 Data: 0000
 Capabilities: [68] Vendor Specific Information: Len=44 <?>
 Capabilities: [ac] Express (v2) Endpoint, MSI 00
  DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <4us, L1 unlimited
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr+ NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
  LnkCap: Port #0, Speed 5GT/s, Width x1, ASPM L0s L1, Latency L0 <2us, L1 <32us
   ClockPM+ Surprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
  DevCap2: Completion Timeout: Range ABCD, TimeoutDis+
  DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
  LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
  LnkSta2: Current De-emphasis Level: -6dB, EqualizationComplete-, EqualizationPhase1-
    EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
 Capabilities: [100 v1] Advanced Error Reporting
  UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
  UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
  UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
  CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
  CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
  AERCap: First Error Pointer: 00, GenCap+ CGenEn- ChkCap+ ChkEn-
 Capabilities: [13c v1] Device Serial Number 6c-71-00-ff-ff-00-00-01
 Capabilities: [150 v1] Power Budgeting <?>
 Capabilities: [160 v1] Virtual Channel
  Caps: LPEVC=0 RefClk=100ns PATEntryBits=1
  Arb: Fixed- WRR32- WRR64- WRR128-
  Ctrl: ArbSelect=Fixed
  Status: InProgress-
  VC0: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
   Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
   Ctrl: Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
   Status: NegoPending- InProg...

Read more...

Omega (atrauzzi) wrote :

I've also encountered this issue in the latest kernel ppa.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.9 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Darlan Cavalcante (darcamo) wrote :

I have exact the same notebook model with the same wifi card.
I'm using the mainline kernel build and the card is still not working.

To confirm the use of mainline kernel, uname -a returns
Linux darlan-G75VX 3.9.0-030900-generic #201304291257 SMP Mon Apr 29 16:58:15 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Ramon Brooker (rbrooker) wrote :

As far as I've been able to find there is still no support for this device in the main kernel, any kmods, nor binaries from the manufacturer. I have tried Ubuntu 13.10, Fedora 18, and OpenSuse, and none of the other distros have packages for the card either. Here's some more information from my board, if it helps:
Laptop ASUS G75V
lspci - 03:00.0 Network controller: Broadcom Corporation Device 43b1 (rev 03) --just ask for more if you need it.
Cheers,

Ramon

lshw
*-pci:2
             description: PCI bridge
             product: 7 Series/C210 Series Chipset Family PCI Express Root Port 2
             vendor: Intel Corporation
             physical id: 1c.1
             bus info: pci@0000:00:1c.1
             version: c4
             width: 32 bits
             clock: 33MHz
             capabilities: pci normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:17 memory:f5200000-f54fffff
           *-network UNCLAIMED
                description: Network controller
                product: Broadcom Corporation
                vendor: Broadcom Corporation
                physical id: 0
                bus info: pci@0000:03:00.0
                version: 03
                width: 64 bits
                clock: 33MHz
                capabilities: bus_master cap_list
                configuration: latency=0
                resources: memory:f5400000-f5407fff memory:f5200000-f53fffff

Anthony Wong (anthonywong) wrote :

Can you try the 6_30_223_95 driver in http://people.canonical.com/~ypwong/drivers/broadcom/ and see if it works for you?

Darlan Cavalcante (darcamo) wrote :

After compiling and installing with "make" and "sudo make install" I tried to load it with "modprobe wl" but I got the "FATAL: Module wl not found" error.

Then I tried to installed with "insmod full_path_to_wl.ko" but I got an invalid module format error.

Darlan Cavalcante (darcamo) wrote :

The problem seemed to be my lack of knowledge on how to load third party modules.
With more googling I found out that I only needed to run ""depmod -a" after the make install (this command should be included in the install target in the Makefile). After that I was able to successfully load the module with "modeprobe wl" and now the card WORKS!!

I don't see my network in the 5gh frequency, so I guess the module only supports the 2.4gh frequencies. Nevertheless, It's great to have the card working. I will use it in the next days and report any problems here.

What works: 2.4gh networks
What does not work yet: 5gh networks and bluetooth (which is provided by the same card)

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Peter Rosell (peter-rosell) wrote :
Download full text (6.2 KiB)

I also had problem with the current wl driver.
I got the log shown below when booting.

root@lp123:~# uname -a
Linux lp123 3.8.0-26-generic #38-Ubuntu SMP Mon Jun 17 21:43:33 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

root@lp123:~# lspci | grep Broadcom
03:00.0 Network controller: Broadcom Corporation Device 43b1 (rev 03)

I downloaded and compiled the 6_30_223_95 driver and it was built correctly. But to get it to work I had to copy it to another directory than that the "make install" command installed it.
cp wl.ko /lib/modules/3.8.0-26-generic/updates/dkms/

After a reboot it worked to connect to the 2.4GHz network.
I don't see my 5GHz network and no bluetooth icon in the top bar.

I hope this info will help to get this fix it.

kern.log
-----------
Jul 7 20:29:46 lp123 kernel: [ 3.825251] wl: module license 'MIXED/Proprietary' taints kernel.
Jul 7 20:29:46 lp123 kernel: [ 3.829671] wmi: Mapper loaded
Jul 7 20:29:46 lp123 kernel: [ 3.832167] wl driver 6.20.155.1 (r326264) failed with code 11
Jul 7 20:29:46 lp123 kernel: [ 3.832220] ------------[ cut here ]------------
Jul 7 20:29:46 lp123 kernel: [ 3.832233] Kernel BUG at ffffffffa02feb9c [verbose debug info unavailable]
Jul 7 20:29:46 lp123 kernel: [ 3.832245] invalid opcode: 0000 [#1] SMP
Jul 7 20:29:46 lp123 kernel: [ 3.832258] Modules linked in: mdio wl(POF+) snd_rawmidi(F) bnep snd_seq(F) ttm lib80211 rfcomm bluetooth drm_kms_helper snd_seq_device(F) snd_timer(F) cfg80211 drm wmi video(F+) lpc_ich snd(F) i2c_algo_bit mei soundcore(F) mac_hid lp(F) parport(F) nls_iso8859_1(F) ahci(F) libahci(F)
Jul 7 20:29:46 lp123 kernel: [ 3.832342] CPU 5
Jul 7 20:29:46 lp123 kernel: [ 3.832353] Pid: 604, comm: modprobe Tainted: PF O 3.8.0-19-generic #30-Ubuntu ASUSTeK COMPUTER INC. G750JW/G750JW
Jul 7 20:29:46 lp123 kernel: [ 3.832368] RIP: 0010:[<ffffffffa02feb9c>] [<ffffffffa02feb9c>] wl_cfg80211_detach+0xfc/0x100 [wl]
Jul 7 20:29:46 lp123 kernel: [ 3.832457] RSP: 0018:ffff88038c3e3ae8 EFLAGS: 00010246
Jul 7 20:29:46 lp123 kernel: [ 3.832467] RAX: 0000000000000000 RBX: ffff88038d4a4800 RCX: 00000000000019cd
Jul 7 20:29:46 lp123 kernel: [ 3.832478] RDX: ffff88038d4a4800 RSI: ffff88038ba51110 RDI: ffff88038d4a4000
Jul 7 20:29:46 lp123 kernel: [ 3.832488] RBP: ffff88038c3e3b08 R08: 000000000000000a R09: 0000000000000000
Jul 7 20:29:46 lp123 kernel: [ 3.832498] R10: 0000000000000351 R11: 0000000000000006 R12: ffff88038ba51018
Jul 7 20:29:46 lp123 kernel: [ 3.832509] R13: ffff88038ba51110 R14: ffff880389f55e80 R15: ffff88038ba51000
Jul 7 20:29:46 lp123 kernel: [ 3.832520] FS: 00007f62a2fbc740(0000) GS:ffff88039f140000(0000) knlGS:0000000000000000
Jul 7 20:29:46 lp123 kernel: [ 3.832532] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 7 20:29:46 lp123 kernel: [ 3.832542] CR2: 00007f6e80691490 CR3: 000000038bff7000 CR4: 00000000001407e0
Jul 7 20:29:46 lp123 kernel: [ 3.832552] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 7 20:29:46 lp123 kernel: [ 3.832563] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul 7 20:29:46 lp123 kernel: [ 3.832575] Process mod...

Read more...

psyray (psyray) wrote :

Hi,

To make it definitvely works at future kernel upgrade with DKMS (64 bits - change archive name for 32bits) :

wget http://people.canonical.com/~ypwong/drivers/broadcom/hybrid-v35_64-nodebug-pcoem-6_30_223_95.tar.gz
mkdir b43b1-6.30.223.95
tar xvzf hybrid-v35_64-nodebug-pcoem-6_30_223_95.tar.gz -C b43b1-6.30.223.95
cd b43b1-6.30.223.95
touch dkms.conf
vim dkms.conf o gedit dkms.conf

Paste this (without lines) :
----------------------------------------------
PACKAGE_NAME="b43b1"
PACKAGE_VERSION="6.30.223.95"
CLEAN="make clean"
MAKE="make"
BUILT_MODULE_NAME="wl"
BUILT_MODULE_LOCATION="./"
DEST_MODULE_LOCATION="/updates"
----------------------------------------------
save and exit

cd ..
sudo mv b43b1-6.30.223.95 /usr/src/b43b1-6.30.223.95
cd /usr/src/b43b1-6.30.223.95
sudo dkms add -m b43b1 -v 6.30.223.95
sudo dkms build -m b43b1 -v 6.30.223.95
sudo rmmod wl
sudo dkms install -m b43b1 -v 6.30.223.95
sudo modprobe wl

add module wl in /etc/modules to load it at boot time if it doesn't work at reboot.

That's all
enjoy ;)

summary: - Broadcom Corporation Device 43b1 (rev 03) - not supported
+ 14e4:43b1 Broadcom Corporation Device 43b1 (rev 03) - not supported

Omega, would ndiswrapper provide a WORKAROUND via https://help.ubuntu.com/community/WifiDocs/Driver/Ndiswrapper ?

tags: added: kernel-wifi-needsdriver metabug needs-packaging
psyray (psyray) wrote :

Hi,

I tried ndiswrapper but it does not support all type of wifi authentication.
Driver seems to have a problem of timeout with wpa_supplicant when trying to authenticate with WPS AP
Other traditional AP works fine

That's why I build the native driver instead of use ndiswrapper.

My example : In France the Orange Livebox WPS AP authentication doesn't work (huge problem, Orange is the main provider)

Thanks

PJSingh5000 (pjsingh5000) wrote :

Experiencing this issue with upstream Kernel Release Candiadate 3, so I don't think this is going to be fixed in a future release.

3.11.0-031100rc3-generic #201307290035 SMP Mon Jul 29 04:36:40 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

PJSingh5000 (pjsingh5000) wrote :

I am unable to build this module in 3.11.0-031100rc3-generic per comment 29 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1173761/comments/29 on 3.11.0-031100rc3-generic) due to a problem with apport in that release candidate.

$ sudo dkms build -m b43b1 -v 6.30.223.95

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=3.11.0-031100rc3-generic....(bad exit status: 2)
Traceback (most recent call last):
  File "/usr/share/apport/package-hooks/dkms_packages.py", line 22, in <module>
    import apport
ImportError: No module named apport
Error! Bad return status for module build on kernel: 3.11.0-031100rc3-generic (x86_64)
Consult /var/lib/dkms/b43b1/6.30.223.95/build/make.log for more information.

PJSingh5000 (pjsingh5000) wrote :

I was able to successfully build this module in kernel 3.8.0-27 per comment 29 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1173761/comments/29 on 3.11.0-031100rc3-generic).

        $ sudo dkms build -m b43b1 -v 6.30.223.95

        Kernel preparation unnecessary for this kernel. Skipping...

        Building module:
        cleaning build area....
        make KERNELRELEASE=3.8.0-27-generic....
        cleaning build area....

        DKMS: build completed.

However, I could not remove the existing wl module (using "sudo rmmod wl") because Ubuntu/Linux kept insisting that the wl module was in use. (This was the case even if I disabled wreless from the BIOS). I even tried "sudo rmmod --force wl", but it did not work. Nevertheless, I proceeded to install the new module and it worked after a reboot.

However, I want to point out that this also actually fixed a different bug in 3.8.0-27! I was unable to shutdown or restart the machine. It would just hang during the shutdown process. This is the bug: https://bugs.launchpad.net/ubuntu/+bug/1176028. After installing hybrid-v35_64-nodebug-pcoem-6_30_223_95, my computer shutdowns and restarts normally. I am mentioning this because the wireless fix (or something included in the fix) may be related to bug 1176028.

Just to confirm everything is workign smoothly, I did a fresh install of 13.04, updated all packages, and then aplied hybrid-v35_64-nodebug-pcoem-6_30_223_95. Both bugs #1173761 and #1176028 seem to be fixed.

I could only test Wireless 802.11n, since I do not have a 802.1ac network. Also, I can not verify if the 5Ghz or the 2.4GHz band is being utilized. Finally, Bluetooth, included with the Broadcom 43b1 device, still does not work.

Redstorm (spencer-roff) wrote :

I have also successfully built the module for kernel 3.8.0-27

root@htpc:/usr/src/b43b1-6.30.223.95# dkms add -m b43b1 -v 6.30.223.95

Creating symlink /var/lib/dkms/b43b1/6.30.223.95/source ->
                 /usr/src/b43b1-6.30.223.95

DKMS: add completed.
root@htpc:/usr/src/b43b1-6.30.223.95# dkms build -m b43b1 -v 6.30.223.95

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=3.8.0-27-generic....
cleaning build area....

DKMS: build completed.
root@htpc:/usr/src/b43b1-6.30.223.95# dkms install -m b43b1 -v 6.30.223.95

wl:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.8.0-27-generic/updates/dkms/

depmod....

DKMS: install completed.

root@htpc:/usr/src/b43b1-6.30.223.95# iwconfig
eth0 no wireless extensions.

eth1 IEEE 802.11abg ESSID:off/any
          Mode:Managed Access Point: Not-Associated Tx-Power=200 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Encryption key:off
          Power Management:off

This is on a ASROCK Z87E-ITX board with half size mPCIe Wifi ac module onboard.
lspci -n
02:00.0 0280: 14e4:43b1 (rev 03)

Redstorm (spencer-roff) wrote :

FYI the driver is somewhat incomplete, not all features have been enabled yet.

I require it to be able to run in AP mode but currently the driver in post 29 only supports
Broadcom Corporation Device 43b1 (rev 03)
        Supported interface modes:
                 * IBSS
                 * managed

I will have to wait till AP mode is introduced.

This list of modes is from a Atheros Communications Inc. AR928X Wireless Network Adapter
        Supported interface modes:
                 * IBSS
                 * managed
                 * AP
                 * AP/VLAN
                 * WDS
                 * monitor
                 * mesh point
                 * P2P-client
                 * P2P-GO

Redstorm (spencer-roff) wrote :

Failed to build under kernel 3.10.5 this is following post 29s steps.

KMS make.log for b43b1-6.30.223.95 for kernel 3.10.5-031005-generic (x86_64)
Thu Aug 22 13:09:37 NZST 2013
/bin/sh: 1: [: Illegal number:
/bin/sh: 1: [: Illegal number:
Wireless Extension is the only possible API for this kernel version
Using Wireless Extension API
KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`
make[1]: Entering directory `/usr/src/linux-headers-3.10.5-031005-generic'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
  LD /var/lib/dkms/b43b1/6.30.223.95/build/built-in.o
  CC [M] /var/lib/dkms/b43b1/6.30.223.95/build/src/shared/linux_osl.o
  CC [M] /var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.o
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c: In function âwl_tkip_printstatsâ:
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3246:7: warning: passing argument 1 of âwl->tkipmodops->print_sta$
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3246:7: note: expected âstruct seq_file *â but argument is of typ$
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3249:4: warning: passing argument 1 of âwl->tkipmodops->print_sta$
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3249:4: note: expected âstruct seq_file *â but argument is of typ$
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c: In function âwl_reg_proc_entryâ:
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3470:2: error: implicit declaration of function âcreate_proc_entr$
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3470:22: warning: assignment makes pointer from integer without a$
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3475:16: error: dereferencing pointer to incomplete type
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3476:16: error: dereferencing pointer to incomplete type
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3477:16: error: dereferencing pointer to incomplete type
cc1: some warnings being treated as errors
make[2]: *** [/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.o] Error 1
make[1]: *** [_module_/var/lib/dkms/b43b1/6.30.223.95/build] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.10.5-031005-generic'
make: *** [all] Error 2

Ben (gehzumteufel-f) wrote :

I am getting the same error but here is the full build log since the one above is cut off.

DKMS make.log for b43b1-6.30.223.95 for kernel 3.10.7-gentoo (x86_64)
Fri Aug 23 09:33:15 PDT 2013
/bin/sh: line 0: [: : integer expression expected
/bin/sh: line 0: [: : integer expression expected
Wireless Extension is the only possible API for this kernel version
Using Wireless Extension API
KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`
make[1]: Entering directory `/usr/src/linux-3.10.7-gentoo'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
  LD /var/lib/dkms/b43b1/6.30.223.95/build/built-in.o
  CC [M] /var/lib/dkms/b43b1/6.30.223.95/build/src/shared/linux_osl.o
  CC [M] /var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.o
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c: In function 'wl_tkip_printstats':
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3246:7: warning: passing argument 1 of 'wl->tkipmodops->print_stats' from incompatible pointer type [enabled by default]
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3246:7: note: expected 'struct seq_file *' but argument is of type 'char *'
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3249:4: warning: passing argument 1 of 'wl->tkipmodops->print_stats' from incompatible pointer type [enabled by default]
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3249:4: note: expected 'struct seq_file *' but argument is of type 'char *'
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c: In function 'wl_reg_proc_entry':
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3470:2: error: implicit declaration of function 'create_proc_entry' [-Werror=implicit-function-declaration]
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3470:22: warning: assignment makes pointer from integer without a cast [enabled by default]
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3475:16: error: dereferencing pointer to incomplete type
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3476:16: error: dereferencing pointer to incomplete type
/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.c:3477:16: error: dereferencing pointer to incomplete type
cc1: some warnings being treated as errors
make[2]: *** [/var/lib/dkms/b43b1/6.30.223.95/build/src/wl/sys/wl_linux.o] Error 1
make[1]: *** [_module_/var/lib/dkms/b43b1/6.30.223.95/build] Error 2
make[1]: Leaving directory `/usr/src/linux-3.10.7-gentoo'
make: *** [all] Error 2

This previously worked with 3.8.13 (the last kernel I was using) but now that I have upgraded, it no longer builds. Is there an updated driver available that is compatible with 3.10.x?

I can confirm Redstorm's experience. I successfully built the module on kernel 3.8.0.29 (Linux Mint 15 KDE x64).

The module loaded right away with modprobe and appears to work on an n network, but it's connecting in b/g mode and the speed has not been higher than 5.5 MBit/s.

A Dlink PCIE wifi adapter with 3 antennas can connect under the same conditions at 30-50 MBit/s.

whitek (white-) wrote :

This bug crashes the stock install process on Kubuntu. [something something 80211 "tainted module"] It was also causing long, or endless delays at startup and shutdown on Linux Mint 15 Olivia. I ended up disabling the chip in my bios and ordering a USB wifi antenna. I would appreciate a fix in the kernel on this one.

Felix Cats (neko-catus) wrote :

Tried to compile the driver (as per comment #25) under 3.10.9 kernel. Results are as per comment #37, since the driver source uses create_proc_entry(), that was deprecated in favor of proc_create()

After reverting to kernel 3.9.5, the compilation was successful , with one warning:

[ecat@localhost broadcom_driver]$ make
KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`
make[1]: Entering directory `/usr/src/kernels/3.9.5-301.fc19.x86_64'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
  CC [M] /home/ecat/Downloads/broadcom_driver/src/shared/linux_osl.o
  CC [M] /home/ecat/Downloads/broadcom_driver/src/wl/sys/wl_linux.o
  CC [M] /home/ecat/Downloads/broadcom_driver/src/wl/sys/wl_iw.o
  CC [M] /home/ecat/Downloads/broadcom_driver/src/wl/sys/wl_cfg80211_hybrid.o
  LD [M] /home/ecat/Downloads/broadcom_driver/wl.o
  Building modules, stage 2.
CFG80211 API is prefered for this kernel version
Using CFG80211 API
  MODPOST 1 modules
WARNING: modpost: missing MODULE_LICENSE() in /home/ecat/Downloads/broadcom_driver/wl.o
see include/linux/module.h for more information
WARNING: modpost: Found 1 section mismatch(es).
To see full details build your kernel with:
'make CONFIG_DEBUG_SECTION_MISMATCH=y'
  CC /home/ecat/Downloads/broadcom_driver/wl.mod.o
  LD [M] /home/ecat/Downloads/broadcom_driver/wl.ko
make[1]: Leaving directory `/usr/src/kernels/3.9.5-301.fc19.x86_64'

Unfortunately, although the system now recognizes the wi-fi card, and can even show hotspots in the area, connection is not successful (at least using wep64).

It did connect to someone's unsecured hotspot.

Ben (gehzumteufel-f) wrote :

Well, I was able to get a patch that allows it to build and it works in 3.10.7 on Gentoo. I'd venture to say it probably works in other distros too. It's in comment #27.

https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1157880/

Felix Cats (neko-catus) wrote :

A small update: I managed to connect to my own hot-spot, apparently it was the router problem, not the driver's.
I will try applying the patch under 3.10 kernel as well.

Redstorm (spencer-roff) wrote :

tested today and associated with my AP

eth1 IEEE 802.11abg ESSID:"wareznet"
          Mode:Managed Frequency:2.412 GHz Access Point: 9C:C7:A6:1C:0D:B3
          Bit Rate=130 Mb/s Tx-Power=200 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=53/70 Signal level=-57 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

Redstorm (spencer-roff) wrote :

and 5Ghz AP

eth1 IEEE 802.11abg ESSID:"wareznet5Ghz"
          Mode:Managed Frequency:5.18 GHz Access Point: 9C:C7:A6:1C:0D:AF
          Bit Rate=270 Mb/s Tx-Power=200 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=37/70 Signal level=-73 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

Felix Cats (neko-catus) wrote :

Well, i'm writing this from 3.10 kernel, so patch has been successful, apparently.

This is dmesg part after module is inserted:
[ 335.204398] lib80211: common routines for IEEE802.11 drivers
[ 335.204400] lib80211_crypt: registered algorithm 'NULL'
[ 335.343901] cfg80211: Calling CRDA to update world regulatory domain
[ 335.345293] wl: module license 'unspecified' taints kernel.
[ 335.345295] Disabling lock debugging due to kernel taint
[ 335.346073] cfg80211: World regulatory domain updated:
[ 335.346075] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 335.346076] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 335.346077] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 335.346078] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 335.346078] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 335.346079] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 335.346147] wl: module verification failed: signature and/or required key missing - tainting kernel
[ 335.363535] INFO @wl_cfg80211_attach : Registered CFG80211 phy
[ 335.367564] lib80211_crypt: registered algorithm 'TKIP'
[ 335.367657] eth0: Broadcom BCM43b1 802.11 Hybrid Wireless Controller 6.30.223.95 (r403214)
[ 335.370241] cfg80211: Calling CRDA for country: IL
[ 335.371205] cfg80211: Regulatory domain changed to country: IL
[ 335.371206] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 335.371207] cfg80211: (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 335.371208] cfg80211: (5150000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2301 mBm)
[ 335.371209] cfg80211: (5250000 KHz - 5350000 KHz @ 40000 KHz), (N/A, 2301 mBm)
[ 335.377329] systemd-udevd[2250]: renamed network interface eth0 to wlp10s0

iwconfig reveals relatively little info:
iwconfig wlp10s0
wlp10s0 IEEE 802.11abg ESSID:"default"
          Mode:Managed Frequency:2.437 GHz Access Point: [redacted]
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off

But it works, reported by gnome's network manager at 54 mb/sec

tags: added: bios-outdated-206 kernel-wifi
removed: kernel-wifi-needsdriver needs-packaging
Roberto Leinardi (leinardi) wrote :

Hi Felix, how did you get the 43b1 to work with the kernel 3.10? Could you bring some additional information?

Redstorm (spencer-roff) wrote :

Roberto, follow Bens link in comment 45, works for ubuntu 3.10.9-031009-generic x64

Alec Warszycki (autofire372) wrote :

What about the device's bluetooth functions? Do they work, or is that yet to be implemented?

Ben (gehzumteufel-f) wrote :

There's a newer driver on Broadcom's website. I highly recommend that over the driver linked here. It enables the 5ghz band. So all that's left is BT to be usable. You will still need the patch I linked to above if you are on 3.10.x or later.

John Du Hart (johnduhart) wrote :

I can also confirm that the driver on Broadcom's website works with this card.

http://www.broadcom.com/support/802.11/linux_sta.php

psyray (psyray) wrote :

Hi,

Update works great on Asus G750J with 43b1 card.

Process:

64 bits:
wget http://www.broadcom.com/docs/linux_sta/hybrid-v35_64-nodebug-pcoem-6_30_223_141.tar.gz
tar xvzf hybrid-v35_64-nodebug-pcoem-6_30_223_141.tar.gz -C b43b1-6.30.223.141

32bits:
http://www.broadcom.com/docs/linux_sta/hybrid-v35-nodebug-pcoem-6_30_223_141.tar.gz
tar xvzf hybrid-v35-nodebug-pcoem-6_30_223_141.tar.gz -C b43b1-6.30.223.141

For 64 & 32 bits:
cd b43b1-6.30.223.141
touch dkms.conf
vim dkms.conf o gedit dkms.conf

Paste this (without lines) :
----------------------------------------------
PACKAGE_NAME="b43b1"
PACKAGE_VERSION="6.30.223.141"
CLEAN="make clean"
MAKE="make"
BUILT_MODULE_NAME="wl"
BUILT_MODULE_LOCATION="./"
DEST_MODULE_LOCATION="/updates"
----------------------------------------------
save and exit

cd ..
sudo mv b43b1-6.30.223.141 /usr/src/b43b1-6.30.223.141
cd /usr/src/b43b1-6.30.223.141
sudo dkms add -m b43b1 -v 6.30.223.141
sudo dkms build -m b43b1 -v 6.30.223.141
sudo rmmod wl
sudo dkms install -m b43b1 -v 6.30.223.141
sudo modprobe wl

Reboot computer

Add module wl in /etc/modules to load it at boot time if it doesn't work at reboot.

Enjoy ;)

Redstorm (spencer-roff) wrote :

I get an error when i compile as per #55

http://paste.ubuntu.com/6237698/

I have a custom kernel, the only change is
[[PATCH] ALSA: hda - hdmi: Fallback to ALSA allocation when selecting CA]
http://www.spinics.net/lists/stable/msg18772.html

Kernel config is the same as Ubuntu's default other than the patched source file.
3.11.0-patch-hdmi #4 SMP Thu Sep 5 13:28:09 NZST 2013 x86_64 x86_64 x86_64 GNU/Linux

Redstorm (spencer-roff) wrote :

This patch may need to be updated for the new source files
https://launchpadlibrarian.net/153741153/0008-add-support-to-linux-3.12.0.patch

wl_cfg80211.c is now wl_cfg80211_hybrid.c

b43b1-6.30.223.141/src/wl/sys/wl_cfg80211_hybrid.c

Redstorm (spencer-roff) wrote :

Solved it for my kernel.

I used the patch located here *edited out "amd64" against the b43b1-6.30.223.141 source (64bit)

http://patch-tracker.debian.org/patch/series/view/broadcom-sta/6.30.223.141-1/05-kernel-3.10.0.patch

edited patch
http://paste.ubuntu.com/6238541/

From the source folder applied via
patch -Np1 -i ../05-kernel-3.10.0.patch

build as per post #55

description: updated
JM (markus-kienske) wrote :

I can confirm patch from #58 works on Debian - "3.10-3-amd6"4 and "3.12.1-1-ARCH" too.

Thank you very much.

hanasaki (hanasaki-ubuntu) wrote :

fails to build on kernel 3.12.1

Dime (launchxad) wrote :

I was able to build with b43b1-6.30.223.141 source (64bit) on 3.12.6-031206-generic and 3.10.25-031025-generic

http://patch-tracker.debian.org/patch/series/view/broadcom-sta/6.30.223.141-1/05-kernel-3.10.0.patch
or
https://launchpadlibrarian.net/153741153/0008-add-support-to-linux-3.12.0.patch

but 0008-add-support-to-linux-3.12.0.patch also contained a patch for wl_cfg80211.c which I did not find. wl_cfg80211_hybrid.c is the only matching file but could not be patched.

I was able to load the modules and at least get an output from iw list which indicates low compatibility.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers